import matplotlib.pyplot as plt
from resistics.testing import time_data_periodic
from resistics.time import Resample
time_data = time_data_periodic([10, 50], fs=250, n_samples=200)
print(time_data.metadata.n_samples, time_data.metadata.first_time, time_data.metadata.last_time)
# Expected:
## 200 2020-01-01 00:00:00 2020-01-01 00:00:00.796
process = Resample(new_fs=50)
resampled = process.run(time_data)
print(resampled.metadata.n_samples, resampled.metadata.first_time, resampled.metadata.last_time)
# Expected:
## 40 2020-01-01 00:00:00 2020-01-01 00:00:00.78
plt.plot(time_data.get_timestamps(), time_data["chan1"], label="original") # doctest: +SKIP
plt.plot(resampled.get_timestamps(), resampled["chan1"], label="resampled") # doctest: +SKIP
plt.legend(loc=3) # doctest: +SKIP
plt.tight_layout() # doctest: +SKIP
plt.show() # doctest: +SKIP
